/*
 * File:           C:\Keil\ARM\Examples\ST\STM32F10x\I2C\ADAU1761_Demo\SigmaStudio\Export\MainProgram\Demo_IC_1_PARAM.h
 *
 * Created:        Monday, September 20, 2010 12:28:14 PM
 * Description:    Tones1761:IC 1 parameter RAM definitions.
 *
 * This software is distributed in the hope that it will be useful,
 * but is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
 * CONDITIONS OF ANY KIND, without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * This software may only be used to program products purchased from
 * Analog Devices for incorporation by you into audio products that
 * are intended for resale to audio product end users. This software
 * may not be distributed whole or in any part to third parties.
 *
 * Copyright © 2010 Analog Devices, Inc. All rights reserved.
 */
#ifndef __DEMO_IC_1_PARAM_H__
#define __DEMO_IC_1_PARAM_H__


/* Module Modulo Size - Modulo Size*/
#define MOD_MODULOSIZE_COUNT                           1
#define MOD_MODULOSIZE_DEVICE                          "IC1"
#define MOD_MODULOSIZE_MODULO_SIZE_ADDR                0
#define MOD_MODULOSIZE_MODULO_SIZE_FIXPT               0x00000FFC
#define MOD_MODULOSIZE_MODULO_SIZE_VALUE               SIGMASTUDIOTYPE_INTEGER_CONVERT(4092)
#define MOD_MODULOSIZE_MODULO_SIZE_TYPE                SIGMASTUDIOTYPE_INTEGER

/* Module Tone1 - Sine Tone*/
#define MOD_TONE1_COUNT                                3
#define MOD_TONE1_DEVICE                               "IC1"
#define MOD_STATIC_TONE1_ALG0_MASK_ADDR                8
#define MOD_STATIC_TONE1_ALG0_MASK_FIXPT               0x000000FF
#define MOD_STATIC_TONE1_ALG0_MASK_VALUE               SIGMASTUDIOTYPE_INTEGER_CONVERT(255)
#define MOD_STATIC_TONE1_ALG0_MASK_TYPE                SIGMASTUDIOTYPE_INTEGER
#define MOD_TONE1_ALG0_INCREMENT_ADDR                  9
#define MOD_TONE1_ALG0_INCREMENT_FIXPT                 0x00015555
#define MOD_TONE1_ALG0_INCREMENT_VALUE                 SIGMASTUDIOTYPE_FIXPOINT_CONVERT(0.0104166666666667)
#define MOD_TONE1_ALG0_INCREMENT_TYPE                  SIGMASTUDIOTYPE_FIXPOINT
#define MOD_TONE1_ALG0_ON_ADDR                         10
#define MOD_TONE1_ALG0_ON_FIXPT                        0x00800000
#define MOD_TONE1_ALG0_ON_VALUE                        SIGMASTUDIOTYPE_FIXPOINT_CONVERT(1)
#define MOD_TONE1_ALG0_ON_TYPE                         SIGMASTUDIOTYPE_FIXPOINT

/* Module Tone2 - Sine Tone*/
#define MOD_TONE2_COUNT                                3
#define MOD_TONE2_DEVICE                               "IC1"
#define MOD_STATIC_TONE2_ALG0_MASK_ADDR                11
#define MOD_STATIC_TONE2_ALG0_MASK_FIXPT               0x000000FF
#define MOD_STATIC_TONE2_ALG0_MASK_VALUE               SIGMASTUDIOTYPE_INTEGER_CONVERT(255)
#define MOD_STATIC_TONE2_ALG0_MASK_TYPE                SIGMASTUDIOTYPE_INTEGER
#define MOD_TONE2_ALG0_INCREMENT_ADDR                  12
#define MOD_TONE2_ALG0_INCREMENT_FIXPT                 0x00011111
#define MOD_TONE2_ALG0_INCREMENT_VALUE                 SIGMASTUDIOTYPE_FIXPOINT_CONVERT(0.00833333333333333)
#define MOD_TONE2_ALG0_INCREMENT_TYPE                  SIGMASTUDIOTYPE_FIXPOINT
#define MOD_TONE2_ALG0_ON_ADDR                         13
#define MOD_TONE2_ALG0_ON_FIXPT                        0x00800000
#define MOD_TONE2_ALG0_ON_VALUE                        SIGMASTUDIOTYPE_FIXPOINT_CONVERT(1)
#define MOD_TONE2_ALG0_ON_TYPE                         SIGMASTUDIOTYPE_FIXPOINT

/* Module W Noise1 - White Noise*/
#define MOD_WNOISE1_COUNT                              2
#define MOD_WNOISE1_DEVICE                             "IC1"
#define MOD_WNOISE1_ALG0_ENABLENOISE_ADDR              14
#define MOD_WNOISE1_ALG0_ENABLENOISE_FIXPT             0x00800000
#define MOD_WNOISE1_ALG0_ENABLENOISE_VALUE             SIGMASTUDIOTYPE_FIXPOINT_CONVERT(1)
#define MOD_WNOISE1_ALG0_ENABLENOISE_TYPE              SIGMASTUDIOTYPE_FIXPOINT
#define MOD_WNOISE1_ALG0_SEED_ADDR                     15
#define MOD_WNOISE1_ALG0_SEED_FIXPT                    0x0005464B
#define MOD_WNOISE1_ALG0_SEED_VALUE                    SIGMASTUDIOTYPE_INTEGER_CONVERT(345675)
#define MOD_WNOISE1_ALG0_SEED_TYPE                     SIGMASTUDIOTYPE_INTEGER

/* Module Nx2-1 - Stereo Switch Nx2*/
#define MOD_NX2_1_COUNT                                1
#define MOD_NX2_1_DEVICE                               "IC1"
#define MOD_NX2_1_STEREOSWSLEW_ADDR                    16
#define MOD_NX2_1_STEREOSWSLEW_FIXPT                   0x00000001
#define MOD_NX2_1_STEREOSWSLEW_VALUE                   SIGMASTUDIOTYPE_INTEGER_CONVERT(1)
#define MOD_NX2_1_STEREOSWSLEW_TYPE                    SIGMASTUDIOTYPE_INTEGER

/* Module Single 1 - Growable Single Vol Ctrl*/
#define MOD_SINGLE1_COUNT                              6
#define MOD_SINGLE1_DEVICE                             "IC1"
#define MOD_SINGLE1_ALG0_GAIS200ALGGRODP1GAINTAR_ADDR  17
#define MOD_SINGLE1_ALG0_GAIS200ALGGRODP1GAINTAR_FIXPT 0x00019C86
#define MOD_SINGLE1_ALG0_GAIS200ALGGRODP1GAINTAR_VALUE SIGMASTUDIOTYPE_FIXPOINT_CONVERT(0.0125892541179417)
#define MOD_SINGLE1_ALG0_GAIS200ALGGRODP1GAINTAR_TYPE  SIGMASTUDIOTYPE_FIXPOINT
#define MOD_SINGLE1_ALG1_GAIS200ALGGRODP2GAINTAR_ADDR  20
#define MOD_SINGLE1_ALG1_GAIS200ALGGRODP2GAINTAR_FIXPT 0x00019C86
#define MOD_SINGLE1_ALG1_GAIS200ALGGRODP2GAINTAR_VALUE SIGMASTUDIOTYPE_FIXPOINT_CONVERT(0.0125892541179417)
#define MOD_SINGLE1_ALG1_GAIS200ALGGRODP2GAINTAR_TYPE  SIGMASTUDIOTYPE_FIXPOINT
#define MOD_SINGLE1_ALG0_GAIS200ALGGRODP1ALPHA0_ADDR   8188
#define MOD_SINGLE1_ALG0_GAIS200ALGGRODP1ALPHA0_FIXPT  0x007FF259
#define MOD_SINGLE1_ALG0_GAIS200ALGGRODP1ALPHA0_VALUE  SIGMASTUDIOTYPE_FIXPOINT_CONVERT(0.999583420126834)
#define MOD_SINGLE1_ALG0_GAIS200ALGGRODP1ALPHA0_TYPE   SIGMASTUDIOTYPE_FIXPOINT
#define MOD_SINGLE1_ALG0_GAIS200ALGGRODP1ALPHA1_ADDR   8189
#define MOD_SINGLE1_ALG0_GAIS200ALGGRODP1ALPHA1_FIXPT  0x00000DA6
#define MOD_SINGLE1_ALG0_GAIS200ALGGRODP1ALPHA1_VALUE  SIGMASTUDIOTYPE_FIXPOINT_CONVERT(0.000416579873166234)
#define MOD_SINGLE1_ALG0_GAIS200ALGGRODP1ALPHA1_TYPE   SIGMASTUDIOTYPE_FIXPOINT
#define MOD_SINGLE1_ALG1_GAIS200ALGGRODP2ALPHA0_ADDR   8190
#define MOD_SINGLE1_ALG1_GAIS200ALGGRODP2ALPHA0_FIXPT  0x007FF259
#define MOD_SINGLE1_ALG1_GAIS200ALGGRODP2ALPHA0_VALUE  SIGMASTUDIOTYPE_FIXPOINT_CONVERT(0.999583420126834)
#define MOD_SINGLE1_ALG1_GAIS200ALGGRODP2ALPHA0_TYPE   SIGMASTUDIOTYPE_FIXPOINT
#define MOD_SINGLE1_ALG1_GAIS200ALGGRODP2ALPHA1_ADDR   8191
#define MOD_SINGLE1_ALG1_GAIS200ALGGRODP2ALPHA1_FIXPT  0x00000DA6
#define MOD_SINGLE1_ALG1_GAIS200ALGGRODP2ALPHA1_VALUE  SIGMASTUDIOTYPE_FIXPOINT_CONVERT(0.000416579873166234)
#define MOD_SINGLE1_ALG1_GAIS200ALGGRODP2ALPHA1_TYPE   SIGMASTUDIOTYPE_FIXPOINT

#endif
